Installing frei0r

To compile the development version of frei0r, if you want to use an effect that is not available in a package. Make sure to first uninstall frei0r (frei0r-plugins, frei0r-plugins-dev, frei0r-plugins-doc for example) before installing the compiled version.

Libraries

Some additional libraries are required for frei0r.

  • libcv-dev
  • libgavl-dev
  • libhighgui-dev
  • libcvaux-dev

in a line libcv-dev libgavl-dev libhighgui-dev libcvaux-dev

Compiling and installing fei0r

In the terminal, check out the frei0r source code from the git repository:

cd
git clone git://git.dyne.org/frei0r.git

Then change to the frei0r directory and compile/install it:

cd frei0r
mkdir build
cd build && cmake .. -DCMAKE_INSTALL_PREFIX=/usr && make -j3
sudo make install

Updating frei0r

To update frei0r to the current version, type:

cd
cd frei0r
git pull
rm -rf build && mkdir build
cd build && cmake .. -DCMAKE_INSTALL_PREFIX=/usr && make -j3
sudo make install